package com.kingdee.eas.custom.beisen.synchronouspos;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.beisen.synchronouspos.*;
import com.kingdee.bos.framework.*;

public class SyncStaffOrgPosFacade extends AbstractBizCtrl implements ISyncStaffOrgPosFacade
{
    public SyncStaffOrgPosFacade()
    {
        super();
        registerInterface(ISyncStaffOrgPosFacade.class, this);
    }
    public SyncStaffOrgPosFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ISyncStaffOrgPosFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("C16E2DAC");
    }
    private SyncStaffOrgPosFacadeController getController() throws BOSException
    {
        return (SyncStaffOrgPosFacadeController)getBizController();
    }
    /**
     *同步组织岗位编制-User defined method
     *@param paramData 参数
     *@return
     */
    public String syncStaffManage(String paramData) throws BOSException
    {
        try {
            return getController().syncStaffManage(getContext(), paramData);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}